---
title: "asin"
excerpt: "Compute the arcsine of a number (in radians)."
layout: manual
---

Compute the arcsine of a number (in radians).



```js
asin(num: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> angledLine({
       angle = toDegrees(asin(0.5)),
       length = 20
     }, %)
  |> yLineTo(0, %)
  |> close()

extrude001 = extrude(sketch001, length = 5)
```

![Rendered example of asin 0](data:image/png;base64,[encoded data, 79500 characters])


